openscap (1.4.0+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:28:44 +0000

openscap (1.4.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update license name for W3C.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 26 Oct 2024 06:13:16 +0200

openscap (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Upstream has bumped SONAME.
    - Rename lib package.
    - Update symbols file.
  * Refresh d/copyright.
  * Remove libopendbx1-dev as BD.
  * Remove CMake options that is now default.
  * Remove d/libopenscap-dev.dirs, not needed.
  * Stop installing /usr/share/openscap/cpe.
  * Update package descriptions.
  * Remove 'Provides' from Python package.
  * Change openscap-utils from 'linux-any' to 'all'.
  * python3-openscap: Remove explicit dependency on OpenSCAP library,
    this is found by shlibs.
  * Add d/clean, removes generated test files.
  * Add upstream contact information.
  * Add missing space in license field.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 24 Aug 2024 16:44:26 +0200

openscap (1.3.10+dfsg-3) unstable; urgency=medium

  * Update Standards-Version to 4.7.0, no changes needed.
  * Add patch to skip tests that require internet Closes: #1071641

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 24 May 2024 07:42:17 +0200

openscap (1.3.10+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix cross misbuild: Closes: #1070328
    - Build-Depends: perl-xs-dev for building a perl extension.
    - Supply a cross PERL5LIB.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 04 May 2024 22:27:43 +0200

openscap (1.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Drop patches included upstream, switch-perl-install-destinations.patch
      and fix-remowal-of-imp-module-in-python312.patch.
    - Update run-a-minor-testsuite.patch, run more tests.
  * Add python3-pytest as BD, used for testing.
  * Remove libapt-pkg-dev as BD, uses dpkg directly.
  * Update symbols file.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 05 Apr 2024 07:40:35 +0200

openscap (1.3.9+dfsg-2) unstable; urgency=medium

  * Update BD to depend on pkgconf.
  * Add upstream patch to fix Python 3.12 failure.
  * Minor cleanup after time_t transition.
  * Update copyright year on myself.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 03 Mar 2024 09:11:39 +0100

openscap (1.3.9+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063101

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:52:30 +0000

openscap (1.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Change build-dependency to PCRE2. Closes: #1000008
  * Update symbols for openscap_sce

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 09 Sep 2023 12:12:07 +0200

openscap (1.3.8+dfsg-3) unstable; urgency=medium

  * Update Python BD to support cross-build.
  * Update patch for installing Perl modules, we can now remove some lines
    regarding Perl from d/rules.
  * Properly disable test when only building packages for 'all'.
  * Don't run tests in parallel.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 14 Jul 2023 08:23:57 +0200

openscap (1.3.8+dfsg-2) unstable; urgency=medium

  * Update dependencies for openscap-utils and python3-openscap
    Closes: #1040936

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 13 Jul 2023 07:51:55 +0200

openscap (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright notices for changes upstream.
  * Rebase patches.
  * Update library symbols.
  * Remove arguments for debug symbols migration.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 23 Jun 2023 08:05:29 +0200

openscap (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream:
    - create-diagrams-when-generating-Doxygen-documen.patch
    - create-Doxygen-diagrams-as-svg.patch
    - update-whatis-entry.patch
    and removed patches cherry picked from upstream:
    - remove-superfluous-strdup.patch
    - add-missing-free.patch
    - OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch
    - use-correct-includes.patch
  * Use newly created CMake flag to disable installation of oscap remediation
    files, this also removes lines manually deleting files in d/rules.
  * Add new symbol in d/libopenscap25.symbols.
  * openscap-scanner: Move openscap-common from recommends to depends.
  * Skip tests when building for 'all'.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 27 Jan 2023 23:41:17 +0100

openscap (1.3.6+dfsg-6) unstable; urgency=medium

  * Cherry-pick use-correct-includes.patch from upstream. Fixes build
    with RPM >= 4.18.
  * Update to Standards-Version 4.6.2, no changes needed.
  * Add the year 2023 to my debian/* copyright notice.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 10 Jan 2023 13:57:56 +0100

openscap (1.3.6+dfsg-5) unstable; urgency=medium

  * Remove libprocps-dev as BD. Closes: #1024224
  * Move BD related to documentation to BD-Indep

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 08 Dec 2022 22:01:54 +0100

openscap (1.3.6+dfsg-4) unstable; urgency=medium

  * Delete files generated if systemd is found.
    Thanks to Rene Engelhard for the suggestion (Closes: #1023041)
  * Tag BD used only for tests with <!nocheck>

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 03 Nov 2022 21:24:45 +0100

openscap (1.3.6+dfsg-3) unstable; urgency=medium

  * Depend on source, not binary version for arch all package.
  * Remove old and unneeded break/conflict.
  * Update d/watch to reflect changes toward GitHub.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 30 Oct 2022 00:16:20 +0200

openscap (1.3.6+dfsg-2) unstable; urgency=medium

  * Add OVAL-SEAP-Allocate-aligned-memory-in-SEXP_rawval_lblk_new.patch from
    upstream. Closes: #1015205
  * Add run-a-minor-testsuite.patch and start running some tests again.
    - Add libxml-parser-perl and libxml-xpath-perl as build dependencies.
  * Change -DCMAKE_SKIP_BUILD_RPATH=TRUE -> -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
  * Don't install Doxygen files *.map and *.md5.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 30 Jul 2022 11:26:47 +0200

openscap (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Rebase 010_perlpm_install_fix.patch and add DEP-3 compliant header.
    - Drop 011_remove_custom_rpath.patch, no longer needed.
    - Add update-whatis-entry.patch
    - Add create-diagrams-when-generating-Doxygen-documen.patch
    - Add create-Doxygen-diagrams-as-svg.patch
    - Add add-missing-free.patch
    - Add remove-superfluous-strdup.patch
  * d/control:
    - Apply Multi-Arch: foreign, to openscap-common.
    - Add missing space in short package description.
  * Drop d/dirs, not needed.
  * Change downloaded release tarball, this includes yaml-filter
  * Build documentation and place it in a new binary package.
  * Use the CMake RPATH option, this also removes chrpath as BD.
  * Update d/libopenscap25.symbols
  * d/copyright:
    - Include yaml-filter in source package.
    - Bump copyright year in main paragraph.
    - Include new file paragraphs.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 20 Jul 2022 12:04:48 +0200

openscap (1.3.5+dfsg-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 15 Jul 2022 11:25:21 +0200

openscap (1.3.5+dfsg-2) experimental; urgency=medium

  * Disable entire testsuite
    This also removes 012-Disable-some-tests.patch and build-dependencies
    libxml-parser-perl and libxml-xpath-perl.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 13 Jul 2022 19:14:27 +0200

openscap (1.3.5+dfsg-1) experimental; urgency=medium

  * New maintainer Closes: #1012868
  * Repack source, remove yaml-filter and javascript files.
    We also delete the related lintian-overrrides and
    d/missing-sources directory.
  * d/rules:
    - Reformat CMake options. Closes: #1000279
    - Build Python 3 library for all supported versions.
    - Default build without verbose logging.
  * d/control:
    - Drop obsolete X-Python3-Version field.
    - Update Standards-Version to 4.6.1
    - Document Rules-Requires-Root.
    - Add missing Break/Replace on openscap-common. Closes: #1001075
    - Move package into Vcs repository.
    - Remove ${python3-Depends} and libjs-jquery as dependencies for
      libopenscap-dev, not needed.
    - Remove libcurl-dev as build dependency, doesn't exist.
  * Don't build documentation. We want this in a separate package.
  * d/copyright:
    - Convert to machine-readable format.
    - Add myself under debian/* section.
  * Patches:
    - Drop 001_fix_kfreebsd_probe.patch, this is a 'linux-any' package.
    - Add 012-Disable-some-tests.patch, disabled some test, the remaining
      is kept for regression.
  * Install upstream changelog in all binary packages.
  * Set upstream metadata fields: Repository and Repository-Browse.
  * Run wrap-and-sort -at
  * Add symbols file.
  * Add the missing changelog entry for version 1.2.17-0.1
  * d/gbp.conf: Add pristine-tar, remove branch and tag entries, using
    default values.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 06 Jul 2022 07:35:05 +0200

openscap (1.3.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.3.5

  * Package structure changes
    - Apply soname change (libopenscap8 -> 25) (Closes: #990183)
    - Split libopenscap25 to openscap-scanner, openscap-utils and
      openscap-common
    - Drop -dbg package and unnecessary lintian-overrides
    - Drop unnecessary dependency on dh-autoreconf.
  * debian/control
    - Specify https for upstream URL
    - Use debhelper-compat (= 13) to not forget to install necessary files
      with dh_missing
    - Add missing dependencies: libacl1-dev, libblkid-dev, libglib2.0-dev,
      libyaml-dev, librpm-dev, libpopt-dev, libprocps-dev, libopendbx1-dev,
      libxmlsec1-dev, doxygen, graphviz, asciidoc,
  * Drop unnecessary debian/compat
  * debian/rules
    - Enable documentation build
    - Enable hardening
  * Add openscap-common.docs to install HTML docs
  * debian/openscap-scanner.install
    - Install bash-completion
  * openscap-utils.install
    - Install autotailor and scap-as-rpm
  * Add debian/openscap-{scanner,utils}.manpages
  * debian/watch
    - Update watch file format version to 4.
  * debian/patches
    - Drop unused patches
    - Refresh patches
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Hideki Yamane <henrich@debian.org>  Fri, 06 Aug 2021 16:02:20 +0900

openscap (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Philippe Thierry <philou@debian.org>  Mon, 01 Feb 2021 16:22:30 +0100

openscap (1.2.17-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
    This is the first version with full python3 compatibility.
  * Update package to python3 closes: #937211
  * d/control
    - Change to debhelper-compat
    - Bump to debhelper 10
      Being able to parallelize build
    - Remove autotools-dev and dh_autotools from build dependencies
  * Add apt-1.9.0.patch closes: #930673
  * Add apt-1.9.11.patch use pkgCacheFile instead of mmap
    Patches from Julian Andres Klode on Ubuntu
  * Add use_sys-xattr.patch closes: #953916
    also remove libattr1-dev as build-dependency
  * Disable 010-install-cpe-oval.patch
  * Add d/source/lintian-override for file with
    very_long_line_lenghts_in_source_file
  * Add d/libopenscap8.lintian-overrides for man page with long line length
  * d/missing-sources
    - Update jquery.js
    - Add bootstrap.js

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 10 Apr 2020 17:42:40 +0200

openscap (1.2.16-2) unstable; urgency=medium

  * Add patch to install CPE OVAL files
  * Remove explicit call to dh autotool-dev, now done automatically

 -- Pierre Chifflier <pollux@debian.org>  Thu, 03 May 2018 10:38:37 +0200

openscap (1.2.16-1) unstable; urgency=medium

  * New upstream version 1.2.16
  * Refreshed quilt patches
  * Rename install perl so file (Closes: #896499)
  * Change priority from extra to optional

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Apr 2018 18:33:35 +0200

openscap (1.2.15-1) unstable; urgency=medium

  * New upstream version 1.2.15
  * Refreshed quilt patches
  * Bump Standards version to 4.1.0

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Oct 2017 21:53:33 +0200

openscap (1.2.14-1) unstable; urgency=medium

  * Imported Upstream version 1.2.10
  * New upstream version 1.2.14 (Closes: #848108)
  * Enable Script Check Engine (SCE) (Closes: #852826, #853180)
  * Add libdbus-1-dev to build-deps (Closes: #853995)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 05 Jul 2017 12:55:58 +0200

openscap (1.2.9-1) unstable; urgency=medium

  * Update watch file (project is now on github)
  * Imported Upstream version 1.2.9
  * Update docs path (html version removed)
  * Bump Standards Version to 3.9.8

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2016 10:45:02 +0200

openscap (1.2.8-1) unstable; urgency=medium

  * Imported Upstream version 1.2.8

 -- Pierre Chifflier <pollux@debian.org>  Thu, 21 Jan 2016 11:55:39 +0100

openscap (1.2.7-1) unstable; urgency=medium

  * Imported Upstream version 1.2.7
  * Add libbz2-dev to build-deps
  * Refreshed quilt patches, removed 005_configure_dpkg_probe (fixed upstream)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Dec 2015 17:48:42 +0100

openscap (1.2.5-1) unstable; urgency=medium

  * Imported Upstream version 1.2.5
  * Use misc:pre-depends for multiarch-support

 -- Pierre Chifflier <pollux@debian.org>  Sat, 26 Sep 2015 10:26:35 +0200

openscap (1.2.3-1) unstable; urgency=medium

  * Imported Upstream version 1.2.3
  * Refreshed quilt patches
  * Update build-dep to libgcrypt-dev
  * Bump Standards Version to 3.9.6
  * Add missing source for jQuery minified version (docs/html)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 06 May 2015 08:34:01 +0200

openscap (1.0.9-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Imported Upstream version 1.0.9 (Closes: #750702)
  * Refreshed quilt patches
  * Remove useless build-deps on python-support
  * Get Perl directories from the 'Config' module (Closes: #752801)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Jun 2014 16:20:07 +0200

openscap (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2
  * Refreshed quilt patches
    Removed 004_format_security.patch, merged upstream

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Jan 2014 13:41:53 +0100

openscap (1.0.1-2) unstable; urgency=low

  * Add conflicts/replaces on libopenscap3 (Closes: #733589)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Dec 2013 09:19:41 +0100

openscap (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
  * Refreshed quilt patches
  * Bump Standards Version to 3.9.5
  * Rename libopenscap3 to libopenscap8 to reflect soname change

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Dec 2013 21:27:36 +0100

openscap (0.9.12-1) unstable; urgency=low

  * Imported Upstream version 0.9.12
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 22:01:45 +0200

openscap (0.9.8-2) unstable; urgency=low

  * Mark package linux-any (Closes: #721862)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 Sep 2013 09:55:14 +0200

openscap (0.9.8-1) unstable; urgency=low

  * Imported Upstream version 0.9.8
  * Add patch to guard linux-specific code (Closes: #710906)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 14:40:39 +0200

openscap (0.9.7-1) unstable; urgency=low

  * Imported Upstream version 0.9.7
  * Add libldap2-dev to build depends
  * This version builds fine with eglibc 2.17 and gcc 4.8 (Closes: #701409)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 02 Jun 2013 11:20:22 +0200

openscap (0.9.4.1-1) unstable; urgency=low

  * Update watch file
  * Imported Upstream version 0.9.4.1
  * This version does not require libnl anymore (Closes: #688172)
  * Bump Standards Version to 3.9.4
  * Rename openscap1* packages to openscap3 to reflect ABI/API change
  * Refreshed quilt patches
  * New quilt patch: fix build of dpkg probe
  * New quilt patch: fix installation of schema files in automake scripts
  * Switch to DH version 9, enable multiarch support and hardening flags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 20 May 2013 11:42:44 +0200

openscap (0.8.0-4) unstable; urgency=low

  * Also mark libcap-dev as Linux only to fix build on kfreebsd
    (Closes: #649063)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 18 Nov 2011 20:03:49 +0100

openscap (0.8.0-3) unstable; urgency=low

  * Use [linux-any] to mark linux-only build dependencies
    (Closes: #634689, #649063)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Nov 2011 21:36:07 +0100

openscap (0.8.0-2) unstable; urgency=low

  * Add proper Conflicts/Replaces lines for libopenscap0 (Closes: #645612)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 Oct 2011 21:11:55 +0200

openscap (0.8.0-1) unstable; urgency=low

  * Imported Upstream version 0.8.0
  * Refreshed quilt patches:
    - Removed 002_invalid_prototype_probe_process.patch and
      003_fix_format_string.patch, merged upstream
    - Added 004_format_security.patch
    - Re-run autoconf to fix dpkg probe detection, put result
      in 005_configure_dpkg_probe.patch
  * Update package name to libopenscap1 to reflect ABI change
  * Replace copy of jquery.js file by symlink in documentation
  * Add libselinux1-dev, libcap-dev, libattr1-dev to build-deps

 -- Pierre Chifflier <pollux@debian.org>  Thu, 13 Oct 2011 23:02:21 +0200

openscap (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3
  * Add schema files (oval and xccdf)
  * Enable hardening wrapper
  * Bump Standards Version to 3.9.2
  * Add 003_fix_format_string.patch to fix printf misuse

 -- Pierre Chifflier <pollux@debian.org>  Sun, 26 Jun 2011 19:36:22 +0200

openscap (0.7.2-1) unstable; urgency=low

  * Imported Upstream version 0.7.2
  * Refresh quilt patches
  * Fix FTBFS on kfreebsd-*: conflicting types for 'probe_main'
    (Closes: #621881)
  * Remove .la files (Closes: #622483)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2011 21:03:43 +0200

openscap (0.7.1-1) unstable; urgency=low

  * Imported Upstream version 0.7.1
  * No more conversions between pointer and integer detected (Closes: #588255)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 13:07:40 +0200

openscap (0.6.6-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd-*: error: storage size of 'si' isn't known
    (Closes: #609771)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 12 Jan 2011 14:35:07 +0100

openscap (0.6.6-1) unstable; urgency=low

  * Imported Upstream version 0.6.6
  * Drop patch 10_fix_dpkginfo, merged upstream
  * Add pkgconfig file to dev package

 -- Pierre Chifflier <pollux@debian.org>  Wed, 15 Dec 2010 09:51:48 +0100

openscap (0.6.4-2) unstable; urgency=low

  * Add libxslt1-dev to build-deps (Closes: #603766)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 17 Nov 2010 10:45:47 +0100

openscap (0.6.4-1) unstable; urgency=low

  * Imported Upstream version 0.6.4
  * Switch to dpkg-source 3.0 (quilt) format
  * Add patch 10_fix_dpkginfo to fix build error for dpkginfo probe
  * Apply patch from Bilal Akhtar to fix build on Ubuntu (Closes:
    #596666)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 16 Nov 2010 15:34:37 +0100

openscap (0.5.12-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (Closes: #592486)
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Aug 2010 10:02:20 +0200

openscap (0.5.12-2) unstable; urgency=low

  * Add libgcrypt11-dev to build-deps (Closes: #588091)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Jul 2010 00:48:04 +0200

openscap (0.5.12-1) unstable; urgency=low

  * Imported Upstream version 0.5.12
  * Update watch file
  * oscap-scan was renamed to oscap
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Sun, 04 Jul 2010 16:49:58 +0200

openscap (0.5.8-1) unstable; urgency=low

  * Imported Upstream version 0.5.8

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Apr 2010 22:07:11 +0200

openscap (0.5.7-1) unstable; urgency=low

  * Imported Upstream version 0.5.7
  * Update watch URL
  * Add libcurl-dev and libapt-pkg-dev to build-deps
  * Bump standards version to 3.8.4
  * Install probes in /usr/lib/openscap
  * Apply patch to fix FTBFS on kfreebsd (Closes: #570277)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 28 Feb 2010 10:08:23 +0100

openscap (0.5.6-1) unstable; urgency=low

  * New upstream release:
    - OVAL API has been extended
    - OVAL doxygen documentation is available
    - migration to new checking mechanism is completed
    - new logging and error propagating mechanism
    - many many bugfixes + defensive code
  * Fix lintian warning debhelper-but-no-misc-depends
    (libopenscap-dev, libopenscap0-dbg)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 04 Jan 2010 20:53:30 +0100

openscap (0.5.5-1) unstable; urgency=low

  * Add libnl-dev and pkg-config to build-deps
  * Enable building OVAL bindings and probes
  * New upstream release:
    - many fixes in OVAL
    - new system_info probe in OVAL
    - CVE is re-implemented
    - migration to improved testing mechanism has begun (see CPE)
    - bindings are merged into single module called openscap

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Dec 2009 11:25:59 +0100

openscap (0.5.4-1) unstable; urgency=low

  * New upstream release:
    - new CPE model
    - evaluation of set objects and system characteristic output
    - implementation of variable model
    - bindings clean up
    - probes tune up, memory leaks fixes

 -- Pierre Chifflier <pollux@debian.org>  Tue, 27 Oct 2009 09:46:49 +0100

openscap (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3
  * Change libopenscap0-dbg section to debug
  * Add binary package for Perl bindings

 -- Pierre Chifflier <pollux@debian.org>  Tue, 13 Oct 2009 09:51:23 +0200

openscap (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #522265)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 02 Apr 2009 10:30:16 +0200
